For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
          • Tax Classes
            • V3
            • V2
                • GETList Tax Classes
                • GETGet Tax Class
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementTaxTax ClassesV2

List Tax Classes

GET
https://api.bigcommerce.com/stores/:store_hash/v2/tax_classes
GET
/stores/:store_hash/v2/tax_classes
$curl https://api.bigcommerce.com/stores/store_hash/v2/tax_classes \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Response
1[
2 {
3 "id": "1",
4 "name": "Non-Taxable Products",
5 "created_at": "1973-01-20T21:34:57.903+00:00",
6 "updated_at": "1990-12-30T00:29:23.515+00:00"
7 },
8 {
9 "id": "2",
10 "name": "Shipping",
11 "created_at": "1973-01-20T21:34:57.903+00:00",
12 "updated_at": "1990-12-30T00:29:23.515+00:00"
13 },
14 {
15 "id": "3",
16 "name": "Gift Wrapping",
17 "created_at": "1973-01-20T21:34:57.903+00:00",
18 "updated_at": "1990-12-30T00:29:23.515+00:00"
19 }
20]

Returns a list of all Tax Classes in a store.

Default sorting is by tax-class id, from lowest to highest.

Was this page helpful?
Previous

Tax Classes V2

Next

Get Tax Class

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Response

idstring

The unique numerical ID of the tax class. A read-only value which is automatically assigned and increments sequentially.

namestring
The name of the tax class.
created_atdatetime

Date and time of the tax class’ creation. Read-Only.

updated_atdatetime

Date and time when the tax class was last updated. Read-Only.

The MIME type of the response body.